<?php
/**
 * @file
 * civicrm_multiday_event_types.features.taxonomy.inc
 */

/**
 * Implementation of hook_taxonomy_default_vocabularies().
 */
function civicrm_multiday_event_types_taxonomy_default_vocabularies() {
  return array(
    'civicrm_multiday_event_type' => array(
      'name' => 'Event Type',
      'machine_name' => 'civicrm_multiday_event_type',
      'description' => '',
      'hierarchy' => '0',
      'module' => 'taxonomy',
      'weight' => '0',
      'rdf_mapping' => array(
        'rdftype' => array(
          0 => 'skos:ConceptScheme',
        ),
        'name' => array(
          'predicates' => array(
            0 => 'dc:title',
          ),
        ),
        'description' => array(
          'predicates' => array(
            0 => 'rdfs:comment',
          ),
        ),
      ),
    ),
  );
}
